<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout_category"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_5"
    android:layout_marginTop="@dimen/dp_15"
    android:elevation="@dimen/dp_5"
    android:orientation="horizontal"
    app:cardElevation="@dimen/dp_10">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingTop="@dimen/dp_5"
        android:paddingBottom="@dimen/dp_5">

        <TextView
            android:id="@+id/tv_category_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:button="@null"
            android:ellipsize="marquee"
            android:layout_toLeftOf="@id/iv_category_delete"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_5"
            android:paddingRight="@dimen/dp_2"
            android:textColor="@color/s_btn_blue_3c_text"
            android:textSize="@dimen/dp_14"
            android:textStyle="bold"
            tools:text="果蔬類看書福利卡駕駛的垃圾死了阿斯蘭大家啦款手機愛上了的框架拉三季度阿薩德科技拉屎" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
            android:id="@+id/iv_category_delete"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:paddingLeft="@dimen/dp_5"
            android:paddingRight="@dimen/dp_5"
            android:src="@drawable/ic_red_circular_delete" />
    </RelativeLayout>


</androidx.cardview.widget.CardView>